package com.emergency.avenue.storage.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.emergency.avenue.storage.api.entity.OutboundInfo;
import com.emergency.avenue.common.core.util.R;
import com.emergency.avenue.storage.api.vo.OutbountExcelVO;
import org.springframework.validation.BindingResult;

import java.util.List;

public interface OutboundService extends IService<OutboundInfo> {

	public R saveOutbountAndMaterial(OutboundInfo outboundInfo);

	R updateOutbountAndMaterial(OutboundInfo outboundInfo);

	R selectOutAndInAudi();

	R importOut(List<OutbountExcelVO> excelVOList, BindingResult bindingResult,String status);
}
